跳转到主要内容
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
business_data
/
google
/
hotel_info
/
live
/
html
实时 Google 酒店信息 HTML
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/business_data/google/hotel_info/live/html \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "hotel_identifier": "<string>",
  "location_name": "<string>",
  "location_code": 123,
  "location_coordinate": "<string>",
  "language_name": "<string>",
  "language_code": "<string>",
  "priority": 123,
  "check_in": "<string>",
  "check_out": "<string>",
  "currency": "<string>",
  "adults": 123,
  "children": [
    "<string>"
  ],
  "tag": "<string>"
}
'
import requests

url = "https://api.aisa.one/apis/v1/dataforseo/business_data/google/hotel_info/live/html"

payload = {
"hotel_identifier": "<string>",
"location_name": "<string>",
"location_code": 123,
"location_coordinate": "<string>",
"language_name": "<string>",
"language_code": "<string>",
"priority": 123,
"check_in": "<string>",
"check_out": "<string>",
"currency": "<string>",
"adults": 123,
"children": ["<string>"],
"tag": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
hotel_identifier: '<string>',
location_name: '<string>',
location_code: 123,
location_coordinate: '<string>',
language_name: '<string>',
language_code: '<string>',
priority: 123,
check_in: '<string>',
check_out: '<string>',
currency: '<string>',
adults: 123,
children: ['<string>'],
tag: '<string>'
})
};

fetch('https://api.aisa.one/apis/v1/dataforseo/business_data/google/hotel_info/live/html', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "version": "<string>",
  "version.status_code": 123,
  "version.status_message": "<string>",
  "version.time": "<string>",
  "version.cost": 123,
  "version.tasks_count": 123,
  "version.tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": [
    "<string>"
  ],
  "result": [
    "<string>"
  ],
  "result.keyword": "<string>",
  "result.type": "<string>",
  "result.se_domain": "<string>",
  "result.location_code": 123,
  "result.language_code": "<string>",
  "result.datetime": "<string>",
  "result.items_count": 123,
  "items": [
    "<string>"
  ],
  "items.page": 123,
  "items.date": "<string>",
  "items.html": "<string>"
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
hotel_identifier
string
必填

酒店唯一标识符 必填字段 Google 搜索中酒店实体的唯一标识符;可通过向高级 Google SERP API 发出请求(包含在响应的 hotels 元素中),或通过 Business Data API 的 Hotel Searches 端点 获取该值 示例:ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE

location_name
string
必填

搜索引擎位置的完整名称 如果未指定 location_codelocation_coordinate,则此字段为必填字段如果使用此字段,则无需指定 location_codelocation_coordinate。您可以单独请求 https://api.dataforseo.com/v3/business_data/google/locations,获取包含 location_name 的可用位置列表。示例:London,England,United Kingdom

location_code
integer
必填

搜索引擎位置代码 如果未指定 location_namelocation_coordinate,则为必填字段 如果使用此字段,则无需指定 location_namelocation_coordinate 可通过向 https://api.dataforseo.com/v3/business_data/google/locations 单独发送请求,获取包含 location_code 的可用位置列表。示例:2840

location_coordinate
string
必填

位置的 GPS 坐标 如果未指定 location_namelocation_code,则为必填字段 如果使用此字段,则无需指定 location_namelocation_code location_coordinate 参数应以 “latitude,longitude” 格式指定 “latitude”“longitude” 的最大小数位数:7 注意:如果使用坐标设置位置,搜索将在最近的居民点进行;示例:53.476225,-2.243572

language_name
string
必填

搜索引擎语言的完整名称 如果未指定 language_code,则为必填字段 如果使用此字段,则无需指定 language_code 您可以通过向 https://api.dataforseo.com/v3/business_data/google/languages 单独发送请求,获取包含 language_name 的可用语言列表。示例:English

language_code
string
必填

搜索引擎语言代码 如果未指定 language_name,则为必填字段 如果使用此字段,则无需指定 language_name 可通过向 https://api.dataforseo.com/v3/business_data/google/languages 单独发送请求,获取可用语言及其 language_code 的列表 示例:en

priority
integer

任务优先级 可选字段 可采用以下值:1 – 普通执行优先级(默认设置)2 – 高执行优先级 使用高执行优先级的任务将额外收费。费用可在定价页面计算。

check_in
string

入住日期 可选字段;如果未指定此字段,默认使用明天的日期;日期格式:"yyyy-mm-dd" 示例:"2019-01-15"

check_out
string

退房日期 可选字段;如果未指定此字段,系统将默认使用从现在起两天后的日期;日期格式:"yyyy-mm-dd",示例:"2019-01-15"

currency
string

货币 可选字段示例:"USD"

adults
integer

成人数量 可选字段,如果不指定此字段,默认使用两名成人;示例:1

children
string[]

儿童人数和年龄;可选字段;如果未指定此字段,搜索中将不包含儿童;如果要包含一名 14 岁儿童,请设置以下值:[14];如果要包含一名 13 岁儿童和一名 8 岁儿童,请设置以下值:[13,8]

tag
string

用户定义的任务标识符,可选字段,字符数上限为 255。你可以使用此参数标识任务并将其与结果匹配;你可以在响应的 data 数组中找到指定的 tag

响应

成功响应

version
string

API 的当前版本

version.status_code
integer

常规状态代码 您可以在此处查看完整的响应代码列表。注意:我们强烈建议设计必要的系统来处理相关异常或错误情况

version.status_message
string

一般信息消息 你可以在此处查看一般信息消息的完整列表

version.time
string

执行时间(秒)

version.cost
number

所有任务的总成本(美元)

version.tasks_count
integer

tasks 数组中的任务数量

version.tasks_error
integer

tasks 数组中返回错误的任务数量

tasks
string[]

任务数组

tasks.id
string

任务标识符 我们系统中采用 UUID 格式的唯一任务标识符

tasks.status_code
integer

由 DataForSEO 生成的任务状态码;范围为 10000-60000;你可以在此处查看完整的响应代码列表

tasks.status_message
string

任务的提示信息 你可以在此处查看通用提示信息的完整列表

tasks.time
string

执行时间(秒)

tasks.cost
number

任务成本(美元)

tasks.result_count
integer

result 数组中的元素数量

tasks.path
string[]

URL 路径

tasks.data
string[]

包含与您在 POST 请求中指定的参数相同的参数

result
string[]

结果数组

result.keyword
string

指定为 "hotel_id:$" 的唯一酒店标识符

result.type
string

搜索结果类型 在本例中为 "hotel_info"

result.se_domain
string

POST 数组中的搜索引擎域名

result.location_code
integer

POST 数组中的位置代码

result.language_code
string

POST 数组中的语言代码

result.datetime
string

收到结果的日期和时间,采用 UTC 格式:“yyyy-mm-dd hh-mm-ss +00:00”;示例:2019-11-15 12:57:46 +00:00

result.items_count
integer

items 数组中返回的结果数量

items
string[]

HTML 页面

items.page
integer

返回的 HTML 页面的序列号

items.date
string

HTML 页面扫描的日期和时间,采用 UTC 格式:“yyyy-mm-dd hh-mm-ss +00:00”;示例:2019-11-15 12:57:46 +00:00

items.html
string

HTML 页面